summaryrefslogtreecommitdiffstats
path: root/multimedia/gtkpod
diff options
context:
space:
mode:
author Alex Lysenka <me@alkos333.net>2010-05-11 15:00:26 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:00:26 +0200
commit3b495ef21ebbe5e04e271986a397fc9cee3d3a42 (patch)
tree83d32436eceefc8046dbdb6f00adb63da968cda9 /multimedia/gtkpod
parent140e738ea71fe6ed2c4016077532c99f6923b407 (diff)
downloadslackbuilds-3b495ef21ebbe5e04e271986a397fc9cee3d3a42.tar.gz
slackbuilds-3b495ef21ebbe5e04e271986a397fc9cee3d3a42.tar.xz
multimedia/gtkpod: Initial import
Diffstat (limited to 'multimedia/gtkpod')
-rw-r--r--multimedia/gtkpod/README19
-rw-r--r--multimedia/gtkpod/gtkpod.SlackBuild62
-rw-r--r--multimedia/gtkpod/gtkpod.desktop11
-rw-r--r--multimedia/gtkpod/gtkpod.info8
-rw-r--r--multimedia/gtkpod/slack-desc12
5 files changed, 112 insertions, 0 deletions
diff --git a/multimedia/gtkpod/README b/multimedia/gtkpod/README
new file mode 100644
index 0000000000..cac096dfb3
--- /dev/null
+++ b/multimedia/gtkpod/README
@@ -0,0 +1,19 @@
+gtkpod is a platform independent Graphical User Interface for Apple's
+iPod using GTK2. It supports the first to fifth Generation including
+the iPod mini, iPod Photo, iPod Shuffle, iPod nano, and iPod Video.
+
+For more information: http://www.gtkpod.org
+
+This script compiles gtkpod for libgpod 0.4.2. Although Slackware 11
+default install comes with 0.4.0, Pat has recently released a patch
+for libgpod 0.4.2 (in the patches/ directory), so make sure you upgrade
+your libgpod before running this script.
+
+If you would like to add an AAC support to gtkpod, you will have to install
+libmp4v2 library, which can be obtained at SlackBuilds.org as well.
+
+Make sure to install libmp4v2 prior to running gtkpod configure.
+
+Special thanks to Alan Hicks and Robby Workman for advising on the
+appropriate version.
+
diff --git a/multimedia/gtkpod/gtkpod.SlackBuild b/multimedia/gtkpod/gtkpod.SlackBuild
new file mode 100644
index 0000000000..4c0b752fa8
--- /dev/null
+++ b/multimedia/gtkpod/gtkpod.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for gtkpod
+# Written by Alex Lysenka <me@alkos333.net>
+# Licensed under GNU GPL v2
+
+
+PRGNAM=gtkpod
+VERSION=0.99.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]
+then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]
+then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar -xzvf $CWD/$PRGNAM-$VERSION-for-libgpod-0.4.2.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING ChangeLog INSTALL NEWS README TODOandBUGS.txt TROUBLESHOOTING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# desktop icon.
+mkdir -p $PKG/usr/share/applications
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gtkpod/gtkpod.desktop b/multimedia/gtkpod/gtkpod.desktop
new file mode 100644
index 0000000000..eeedecc9dd
--- /dev/null
+++ b/multimedia/gtkpod/gtkpod.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Type=Application
+Terminal=false
+Name=gtkpod
+Comment=Manage songs on your Apple iPod
+Comment[de]=Verwalte Musik auf deinem Apple iPod
+Exec=gtkpod
+Icon=/usr/share/gtkpod/pixmaps/gtkpod-icon-32x32.png
+Categories=AudioVideo;
diff --git a/multimedia/gtkpod/gtkpod.info b/multimedia/gtkpod/gtkpod.info
new file mode 100644
index 0000000000..3368319a70
--- /dev/null
+++ b/multimedia/gtkpod/gtkpod.info
@@ -0,0 +1,8 @@
+PRGNAM="gtkpod"
+VERSION="0.99.8"
+HOMEPAGE="http://www.gtkpod.org"
+DOWNLOAD="http://dl.sourceforge.net/gtkpod/gtkpod-0.99.8-for-libgpod-0.4.2.tar.gz"
+MD5SUM="484aad6a3cb64968247d9f44393fed49"
+MAINTAINER="Alex Lysenka"
+EMAIL="me@alkos333.net"
+APPROVED="BP{k}"
diff --git a/multimedia/gtkpod/slack-desc b/multimedia/gtkpod/slack-desc
new file mode 100644
index 0000000000..6b88fbdabe
--- /dev/null
+++ b/multimedia/gtkpod/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+gtkpod:
+gtkpod: gtkpod is a platform independent Graphical User Interface for
+gtkpod: Apple's iPod using GTK2. It supports the first to fifth
+gtkpod: Generation including the iPod mini, iPod Photo, iPod Shuffle,
+gtkpod: iPod nano, and iPod Video.
+gtkpod:
+gtkpod:
+gtkpod:
+gtkpod:
+gtkpod: Homepage: http://www.gtkpod.org
+gtkpod: